Update Sprint
curl --request PATCH \
--url https://api.example.com/api/v1/sprints/{sprint_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"business_rule_ids": [
"<string>"
],
"description": "<string>",
"end_date": "2023-11-07T05:31:56Z",
"expected_outcome": "<string>",
"labels": [
"<string>"
],
"objective": "<string>",
"skip_qualitative_validation": true,
"skip_rules_coverage": true,
"skip_test_coverage": true,
"start_date": "2023-11-07T05:31:56Z",
"test_scenario_ids": [
"<string>"
],
"title": "<string>",
"validation_threshold": 123
}
'import requests
url = "https://api.example.com/api/v1/sprints/{sprint_id}"
payload = {
"business_rule_ids": ["<string>"],
"description": "<string>",
"end_date": "2023-11-07T05:31:56Z",
"expected_outcome": "<string>",
"labels": ["<string>"],
"objective": "<string>",
"skip_qualitative_validation": True,
"skip_rules_coverage": True,
"skip_test_coverage": True,
"start_date": "2023-11-07T05:31:56Z",
"test_scenario_ids": ["<string>"],
"title": "<string>",
"validation_threshold": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
business_rule_ids: ['<string>'],
description: '<string>',
end_date: '2023-11-07T05:31:56Z',
expected_outcome: '<string>',
labels: ['<string>'],
objective: '<string>',
skip_qualitative_validation: true,
skip_rules_coverage: true,
skip_test_coverage: true,
start_date: '2023-11-07T05:31:56Z',
test_scenario_ids: ['<string>'],
title: '<string>',
validation_threshold: 123
})
};
fetch('https://api.example.com/api/v1/sprints/{sprint_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"board_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"created_by": "<string>",
"id": "<string>",
"spec_id": "<string>",
"spec_version": 123,
"status": "draft",
"title": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"version": 123,
"archived": false,
"business_rule_ids": [
"<string>"
],
"cards": [],
"description": "<string>",
"end_date": "2023-11-07T05:31:56Z",
"evaluations": [
"<unknown>"
],
"expected_outcome": "<string>",
"labels": [
"<string>"
],
"objective": "<string>",
"pre_archive_status": "<string>",
"qa_items": [],
"skip_qualitative_validation": false,
"skip_rules_coverage": false,
"skip_test_coverage": false,
"start_date": "2023-11-07T05:31:56Z",
"test_scenario_ids": [
"<string>"
],
"validation_threshold": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}sprints
Update Sprint
Update a sprint.
PATCH
/
api
/
v1
/
sprints
/
{sprint_id}
Update Sprint
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Schema for updating a sprint.
Required string length:
1 - 500Response
Successful Response
Schema for full sprint response.
Sprint lifecycle status.
Available options:
draft, active, review, closed, cancelled Show child attributes
Show child attributes
Show child attributes
Show child attributes
Last modified on May 17, 2026
⌘I